before_script:
  - dpkg --add-architecture i386
  - apt-get update
  - apt-get install -y build-essential cmake g++-multilib libsdl2-dev:i386

build:
  stage: build
  image: ubuntu:artful
  tags:
    - linux
  script:
    - cmake .
    - make
  artifacts:
    paths:
      - libcstrike-basehook.so